View Issue Details

IDProjectCategoryView StatusLast Update
06624Development [All Projects] Expression Managerpublic2015-08-21 15:51
ReporterMazi Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version 
Target Version2.06Fixed in Version2.06 
Summary06624: Show logic file should check email templates as well
Description

Since the great Expression Manager can be used at email messages like invitation/reminder, e. g. to adjust the salutation depending on certain additional token attributes, the "Show Logic File" feature should check them as well, like it is done for welcome/end message.

Additional Information

Not sure how complex this is to implement, but since Tom's code is well structure, I hope this can be extended easily to the benefit of our users.

TagsNo tags attached.

Relationships

related to 08683 closedDenisChenu Bug reports Unique custom token values fail to merge in invite/reminder emails 
related to 08727 closedc_schmitz Bug reports Unable to use token information in 'admin notification' with EMAIL placeholder 
related to 06717 closedc_schmitz Bug reports Show logic file does not show the survey description, welcome, or end pages 
related to 08752 closedDenisChenu Feature requests Expression manager date() function does not work in email templates 
related to 09424 assignedLouisGac Bug reports Expression Manager in mail sending use "Actual response" 

Activities

Mazi

Mazi

2014-01-06 14:06

partner   ~27724

Denis, maybe we can add this to the list for the next LS 2.06 or 2.1 version? Several users have asked for this at the forums and IRC recently.

DenisChenu

DenisChenu

2014-01-06 14:31

developer   ~27725

I think we must have too:
Quota text
Quota URLS

EM for text (only text, with question or group)
EM for email (unique).

But this one is more difficult, because we need the step, different step for each email message.

DenisChenu

DenisChenu

2014-02-21 16:21

developer   ~28862

Thinks can be done in 2.06.

But maybe a specific page with all email, because if we have email in survey general page , it's too big.

DenisChenu

DenisChenu

2014-12-27 13:55

developer   ~31351

New feature in 2.06

Related Changesets

LimeSurvey: 2.06 7f45e00e

2014-12-27 12:49:27

DenisChenu

Details Diff
New feature 06624 : Allow to validate expression in email template
Dev: Adding a link in popup to show validation of email
Dev: TODO : same for quota is needed
Dev: Other can be interesting
Dev: Style can be reviewed, link must be reviewed : a button ?
Dev: Review it when using SettingsWidget
Affected Issues
06624
mod - application/controllers/AdminController.php Diff File
add - application/controllers/admin/ExpressionValidate.php Diff File
mod - application/core/Survey_Common_Action.php Diff File
mod - application/helpers/expressions/em_core_helper.php Diff File
mod - application/views/admin/emailtemplates/email_language_template_tab.php Diff File
add - application/views/admin/expressions/email.php Diff File
mod - scripts/admin/admin_core.js Diff File
mod - scripts/admin/expression.js Diff File
mod - styles/adminstyle.css Diff File
mod - styles/expressions.css Diff File

LimeSurvey: 2.06 7ea56b28

2014-12-27 12:52:21

DenisChenu

Details Diff
Dev: 7f45e00e144121b1b00afdf52ac4d7364f8f821f child : lack of the layout Affected Issues
06624
add - application/views/layouts/popup.php Diff File

Issue History

Date Modified Username Field Change
2012-10-02 10:42 Mazi New Issue
2012-10-02 10:42 Mazi Status new => assigned
2012-10-02 10:42 Mazi Assigned To => TMSWhite
2012-10-02 10:48 c_schmitz Project Bug reports => Development
2012-10-16 21:39 TMSWhite Assigned To TMSWhite =>
2012-10-16 21:39 TMSWhite Status assigned => new
2012-10-16 21:39 TMSWhite Relationship added related to 06717
2014-01-06 14:05 Mazi Assigned To => DenisChenu
2014-01-06 14:05 Mazi Status new => assigned
2014-01-06 14:06 Mazi Note Added: 27724
2014-01-06 14:31 DenisChenu Note Added: 27725
2014-02-16 18:35 DenisChenu Relationship added related to 08683
2014-02-16 18:35 DenisChenu Relationship added related to 08727
2014-02-21 16:20 DenisChenu Product Version 2.00+ =>
2014-02-21 16:20 DenisChenu Target Version 2.10 => 2.06
2014-02-21 16:21 DenisChenu Note Added: 28862
2014-02-21 16:21 DenisChenu Project Development => Feature requests
2014-02-24 17:23 DenisChenu Relationship added related to 08752
2014-04-22 14:11 c_schmitz Project Feature requests => Development
2014-12-26 19:16 DenisChenu Relationship added related to 09424
2014-12-27 13:54 DenisChenu Changeset attached => LimeSurvey 2.06 7f45e00e
2014-12-27 13:55 DenisChenu Changeset attached => LimeSurvey 2.06 7ea56b28
2014-12-27 13:55 DenisChenu Note Added: 31351
2014-12-27 13:55 DenisChenu Status assigned => resolved
2014-12-27 13:55 DenisChenu Fixed in Version => 2.06
2014-12-27 13:55 DenisChenu Resolution open => fixed
2015-08-21 15:51 c_schmitz Status resolved => closed